#include "stream.h"
#include <UnitTest++/UnitTest++.h>
#include <vector>

using namespace stream;

TEST(Take_10_iota)
{
    auto stream = take(10, iota(0));
    std::vector<int> v = collect<std::vector<int>>(stream);
    std::vector<int> expected{0, 1, 2, 3, 4, 5, 6, 7, 8, 9};

    CHECK_ARRAY_EQUAL(expected, v, expected.size());
}
